proc greatThanZero { field } {
set value [$field getCurrentValue]
if (value > 0) {
return 1
} else {
return 0
}
}
set tclPath [ GuidoGetParamBufferValue [ GuidoExecServer GetTCLPath { } ] tclPath ]
source "$tclPath/../scripts/graphicsPickSegment.tcl"
set pickresult [graphicsPickSegment "Choose the vertical design segment" source_dataset source_string source_segment source_points source_is_collinear ]
while {($source_points < 3 ) || ($source_is_collinear == "true")} {
if { !$pickresult } {
break
}
if {$source_points < 3} {
GuidoMessage warning ROAD_CENTRE_LINE_TOO_FEW_POINTS1
}
if {$source_is_collinear == "true"} {
GuidoMessage warning ROAD_CENTER_LINE_IS_COLLINEAR
}
set pickresult [graphicsPickSegment "Choose the vertical design segment" source_dataset source_string source_segment source_points source_is_collinear]
}
if { $pickresult } {
GuidoApp app "DESIGN VERTICAL ALIGNMENT"
$app setParam source_dataset $source_dataset
$app setParam source_string $source_string
$app setParam source_segment $source_segment
set return_code [$app invoke]
$app destroy
}
